package net.knarcraft.ffmpegconverter.converter.module.output;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import org.jetbrains.annotations.NotNull;

/**
 * A module for making FFMpeg copy the audio codec
 */
public class CopyAudioModule implements ConverterModule {

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addOutputFileOption("-c:a", "copy");
    }

}
